package cn.iocoder.yudao.module.system.service.extra;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.extra.vo.SignatureProxyApplicationPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.extra.ElderlyExtraSignatureProxyApplicationDO;

import java.util.List;

/**
 * (附件)签名代理申请 Service 接口
 *
 * @author 管理员
 */
public interface ElderlyExtraSignatureProxyApplicationService {

    Long create(ElderlyExtraSignatureProxyApplicationDO createReqVO);

    void update(ElderlyExtraSignatureProxyApplicationDO updateReqVO);

    void delete(Long id);

    PageResult<ElderlyExtraSignatureProxyApplicationDO> findPage(SignatureProxyApplicationPageReqVO reqVO);

    ElderlyExtraSignatureProxyApplicationDO getDetail(Long id);

    List<ElderlyExtraSignatureProxyApplicationDO> getListByElderId(Long elderId);

}
